
%define plugin	vcd
%define name	vdr-plugin-%plugin
%define version	0.7
%define rel	8

Summary:	VDR plugin: VideoCD Player
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://vdr.heiligenmann.de/
Source:		http://vdr.heiligenmann.de/download/vdr-%plugin-%version.tar.bz2
Patch0:		vdr-vcd-0.7-for-1.3.38.patch.bz2
Patch1:		vdr-vcd-0.7-make-definitions.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi
Requires(post):	vdr-common

%description
This plugin adds the functionality to replay VideoCDs (and Super VideoCDs)
from within VDR (by Klaus Schmidinger).

%prep
%setup -q -n %plugin-%version
%patch0 -p1 -b .1338
%patch1 -p1 -b .def

%vdr_plugin_params_begin %plugin
# use DEV as the CD-ROM device
# default: /dev/cdrom
var=VCD_DEVICE
param=--vcd=VCD_DEVICE
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%{_bindir}/gpasswd -a vdr cdrom >/dev/null
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README COPYING HISTORY

%changelog
* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 0.7-8mdv2007.0
- rebuild for new vdr

* Thu Aug 31 2006 Anssi Hannula <anssi@mandriva.org> 0.7-7mdv2007.0
- add vdr to cdrom group

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 0.7-6mdv2007.0
- stricter abi requires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 0.7-5mdv2007.0
- rebuild for new vdr

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 0.7-4mdv2007.0
- rebuild for new vdr

* Mon Jun 19 2006 Anssi Hannula <anssi@mandriva.org> 0.7-3mdv2007.0
- rebuild for new vdr

* Sun Jun 04 2006 Anssi Hannula <anssi@mandriva.org> 0.7-2mdv2007.0
- rebuild for new vdr

* Thu Jun  1 2006 Anssi Hannula <anssi@mandriva.org> 0.7-1mdv2007.0
- initial Mandriva release
